Std Undo: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
 
Line 41: Line 41:
==Preferences== <!--T:18-->
==Preferences== <!--T:18-->


<!--T:24-->
See also: [[Preferences_Editor|Preferences Editor]].
See also: [[Preferences_Editor|Preferences Editor]].



Latest revision as of 08:41, 8 July 2024

Std Undo

Menu location
Edit → Undo
Workbenches
All
Default shortcut
Ctrl+Z
Introduced in version
-
See also
Std Redo

Description

The Std Undo command undoes the last action.

Usage

  1. There are several ways to invoke the command:
    • Press the Undo button.
    • Select the Edit → Undo option from the menu.
    • Use the keyboard shortcut: Ctrl+Z.

Options

  • To undo multiple actions click on the small black down arrow to the right of the Undo button and select from the list.

Preferences

See also: Preferences Editor.

  • The Undo/Redo functionality can be disabled by unchecking the Edit → Preferences... → General → Document → Using Undo/Redo on documents option. But this is not recommended.
  • The maximum number of Undo/Redo steps is controlled by Edit → Preferences... → General → Document → Maximum Undo/Redo steps.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To undo the last action use the undo method of the document object. Its counterpart, the redo method, is also available.

import FreeCAD

FreeCAD.ActiveDocument.undo()

When running FreeCAD in pure console mode (CLI), the undo/redo mechanism isn't enabled by default. It must be explicitly activated for each document.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1